using System;

namespace A1
{
    class Program
    {
        static bool metoda(int[] a, int l, int r)
        {
            if (l == r)
                return true;
            for (int i = l; i < r; i++)
            {
                bool p = true;
                for (int j = i + 1; j < r; j++)
                {
                    if (a[i] > a[j] && p)
                    {
                        p = false;
                    }
                    else if (a[i] > a[j])
                        return false;
                }
            }
            return true;
        }
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            int[] a = new int[n];
            string[] s = Console.ReadLine().Split();
            for (int i = 0; i < n; i++)
                a[i] = int.Parse(s[i]);
            int q = int.Parse(Console.ReadLine());
            for (int i = 0; i < q; i++)
            {
                s = Console.ReadLine().Split();
                int l = int.Parse(s[0]);
                int r = int.Parse(s[1]);
                Console.WriteLine(metoda(a, l - 1, r - 1) ? "DA" : "NE");
            }
        }
    }
}